
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author tmerclub
 * @date 2023-01-15 15:53:16
 */
public class ShopCustomer extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺客户id
     */
    private Long shopCustomerId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 会员名称
     */
    private String memberName;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 会员类型（-1：客户，0：免费会员，1：付费会员）
     */
    private Integer levelType;

    /**
     * 会员等级Id
     */
    private Long levelId;

    /**
     * 会员等级
     */
    private Integer level;

    /**
     * 成长值
     */
    private Integer growth;

    /**
     * 会员注册时间
     */
    private Date registTime;

    /**
     * 付费会员到期时间
     */
    private Date vipEndTime;

    public Long getShopCustomerId() {
        return shopCustomerId;
    }

    public void setShopCustomerId(Long shopCustomerId) {
        this.shopCustomerId = shopCustomerId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getLevelType() {
        return levelType;
    }

    public void setLevelType(Integer levelType) {
        this.levelType = levelType;
    }

    public Long getLevelId() {
        return levelId;
    }

    public void setLevelId(Long levelId) {
        this.levelId = levelId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getGrowth() {
        return growth;
    }

    public void setGrowth(Integer growth) {
        this.growth = growth;
    }

    public Date getRegistTime() {
        return registTime;
    }

    public void setRegistTime(Date registTime) {
        this.registTime = registTime;
    }

    public Date getVipEndTime() {
        return vipEndTime;
    }

    public void setVipEndTime(Date vipEndTime) {
        this.vipEndTime = vipEndTime;
    }

    @Override
    public String toString() {
        return "ShopCustomer{" +
                "shopCustomerId=" + shopCustomerId +
                ",userId=" + userId +
                ",memberName=" + memberName +
                ",shopId=" + shopId +
                ",levelType=" + levelType +
                ",levelId=" + levelId +
                ",level=" + level +
                ",growth=" + growth +
                ",registTime=" + registTime +
                ",vipEndTime=" + vipEndTime +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                '}';
    }
}
